@extends('layouts.app')

@section('content')

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h1 style="text-align: center;">
                反轉代謝新人生 皮蛇疫苗加碼補
            </h1>
        </div>
    </div>
    <div style="height:20px;">&nbsp;</div>

    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h3>健康達標再加碼→帶狀皰疹疫苗補助5,000元！</h3>
            <p>
                桃園市政府為鼓勵高齡市民積極參與健康管理、防治代謝症候群，
                提供自費帶狀皰疹疫苗補助方案。只要達成健康指標，
                即可申請高額補助，名額有限，請把握機會！
            </p>
            <h3>一、活動規則</h3>
            <ol>
                <li>
                    活動期間<br>
                    114 年 1 月 1 日至 9 月 30 日止
                </li>
                <li>
                    活動對象<br>
                    設籍桃園市且年滿50歲代謝症候群防治計畫個案。
                </li>
                <li>
                    活動方式<br>
                    步驟一｜至桃園市代謝症候群防治計畫診所追蹤。<br>
                    步驟二｜代謝症候群指標達標，請醫師於記錄小卡「註4」處核章並取得檢查報告(<a href="{{asset('assets/doc/114health-exam-form.pdf')}}" target="_blank">格式下載</a>)。<br>
                    步驟三｜資料上傳活動平台。<br>
                    ✔ 紀錄小卡(核章)<br>
                    ✔ 身分證正反面<br>
                    ✔ 114年度內兩份(間隔10週以上)代謝症候群指標達標之檢查報告
                </li>
                <li>
                    活動好禮<br>
                    <span style="color:red;">前50名</span>經審核合格者，
                    每人補助<span style="color:red;">5,000元</span>帶狀皰疹疫苗(自費項目)
                </li>
            </ol>

            <h3>二、注意事項</h3>
            <ol>
                <li>
                    依上傳時間排序進行審核，每人補助<span style="color:red;">一次</span>。
                </li>
                <li>
                    代謝症候群指標<br>
                    <table style="border: solid 1px gray; font-size:1.0em">
                        <tr>
                            <td>項目</td>
                            <td>&nbsp;</td>
                            <td>標準值</td>
                        </tr>
                        <tr style="border: solid 1px gray">
                            <td>腰圍</td>
                            <td>&nbsp;</td>
                            <td>男性 ≦ 90 公分／女性 ≦ 80 公分，或 BMI ≦ 27</td>
                        </tr>
                        <tr style="border: solid 1px gray">
                            <td>飯前血糖</td>
                            <td>&nbsp;</td>
                            <td>≦ 100 mg/dL</td>
                        </tr>
                        <tr style="border: solid 1px gray">
                            <td>血壓</td>
                            <td>&nbsp;</td>
                            <td>收縮壓 ≦ 130 mmHg／舒張壓 ≦ 85 mmHg</td>
                        </tr>
                        <tr style="border: solid 1px gray">
                            <td>三酸甘油脂</td>
                            <td>&nbsp;</td>
                            <td>≦ 150 mg/dL</td>
                        </tr>
                        <tr style="border: solid 1px gray">
                            <td>高密度脂蛋白膽固醇(HDL)</td>
                            <td>&nbsp;</td>
                            <td>男性 > 40 mg/dL／女性 > 50 mg/dL</td>
                        </tr>
                    </table>
                </li>
            </ol>
            <p>&nbsp;</p>
            <a class="btn btn-success" href="{{asset('assets/images/health_allowance_comic_01.jpg')}}" target="_blank">下載懶人包(另開視窗)</a>
            <a class="btn btn-success" href="{{asset('assets/images/health_allowance_intro_01.jpg')}}" target="_blank">下載簡章(另開視窗)</a>
            
            
        </div>
    </div>
    
    <div>&nbsp;</div>
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            @if ($enable)
            <span style="">
                <input type="checkbox" class="form-check-input" id="regAgree1" required>
                <label class="form-check-label" for="regAgree1">本人設籍於桃園市</label>
            </span><br>
            <span style="">
                <input type="checkbox" class="form-check-input" id="regAgree" required>
                <label class="form-check-label" for="regAgree">本人同意 &nbsp; <a href="/picm" target="_blank">「桃園市政府個人資料收集辦法」</a></label>
            </span>
            
            <div>&nbsp;</div>
            <button id="btnFillForm" class="btn btn-primary">前往報名</button>
            @else
            <p>活動已載止</p>
            @endif
            <div>&nbsp;</div>
            <button id="btnSearch" class="btn btn-primary">查詢審核狀態</button>
        </div>
    </div>
</div>


<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl">
    <div class="modal-content">
      <div class="modal-body">
        <button type="button" id="staticBackdrop-btn-close" class="btn-close" data-bs-dismiss="modal" aria-label="關閉"></button>
        <label for="staticBackdrop-btn-close">
            <img src="{{asset('assets/images/health_allowance_comic_01.jpg')}}" width="100%">
        </label>
      </div>
    </div>
  </div>
</div>

@endsection

@section('script')
<script>
    $(document).ready(function(){
        $('#staticBackdrop').modal('show');
        $('#btnFillForm').click(function(){
            if (!$('#regAgree1').is(':checked')) {
                alert('請勾選「本人設籍於桃園市」');
                return;
            }
            if (!$('#regAgree').is(':checked')) {
                alert('請勾選「本人同意 桃園市政府個人資料收集辦法」');
                return;
            }
            window.location='/health_allowance_fill_form';
        });
        $('#btnSearch').click(function(){
            window.location='/health_allowance_check';
        });
    });
</script>
@endsection