@extends('layouts.app')

@section('content')

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h1 style="text-align: center;">
                符合代謝新收案  早鳥報名最划算
            </h1>
        </div>
    </div>
    <div style="height:20px;">&nbsp;</div>

    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h3>代謝症候群防治計畫｜好禮二重送！</h3>
            <p>
                為鼓勵代謝症候群收案條件
                (血壓偏高、血糖偏高、血脂偏高、腰圍過粗、好的膽固醇不足)
                5項中符合3項且尚待收案者加入計畫進行健康管理，
                在活動期間新被收案且完成資料上傳，
                即可獲得禮券並參加抽獎！
            </p>
            <h3>一、活動規則</h3>
            <ol>
                <li>
                    活動期間<br>
                    114 年 1 月 1 日至 9 月 30 日止。
                </li>
                <li>
                    活動對象<br>
                    設籍桃園市，並於活動期間於桃園市代謝症候群防治計畫診所新被收案之民眾。
                </li>
                <li>
                    活動方式<br>
                    步驟一｜至桃園市代謝症候群防治計畫診所就診。<br>
                    步驟二｜新被收案並請醫師於記錄小卡「註3」處核章。<br>
                    步驟三｜資料上傳活動平台。<br>
                    　✔ 記錄小卡(核章)<br>
                    　✔ 身分證正反面
                </li>
                <li>
                    活動好禮<br>
                    (1) 前 5,000 名經審核合格者，即可獲得 200元 電子禮券。<br>
                    (2) 經審核合格者，皆可獲得抽獎資格。
                </li>
            </ol>

            <h3>二、注意事項</h3>
            <p>&nbsp;&nbsp;依上傳時間排序進行審核，電子禮券每人限領一次。</p>
            <p>&nbsp;</p>
            <a class="btn btn-success" href="{{asset('assets/images/metabolism_comic_01.jpg')}}" target="_blank">下載懶人包(另開視窗)</a>
            <a class="btn btn-success" href="{{asset('assets/images/metabolism_intro_01.jpg')}}" target="_blank">下載簡章(另開視窗)</a>
            
            
        </div>
    </div>
    <div>&nbsp;</div>
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h3>
                活動獎項
            </h3>
            <table style="border: solid 1px gray">
                <tr>
                    <td colspan="2">獎品內容</td>
                    <!--<td width="20%">單價</td>-->
                    <td width="10%">數量</td>
                </tr>
                <tr style="border: solid 1px gray">
                    <td>福爾益康語音型2合1血糖血壓測試系統+血糖試片
                        <br>型號：TD-3261G / 4G傳輸版本
                        <br>血糖試片：TD-3261 / 50片裝
                    </td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/td-3261g.jpg')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>5</td>
                </tr>

                <tr style="border: solid 1px gray">
                    <td>iPhone 16 Pro 128G</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/iphone.png')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>5</td>
                </tr>

            </table>
        </div>
    </div>
    <div>&nbsp;</div>
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            @if ($enable) 
            <span style="">
                <input type="checkbox" class="form-check-input" id="regAgree1" required>
                <label class="form-check-label" for="regAgree1">本人設籍於桃園市</label>
            </span><br>
            <span style="">
                <input type="checkbox" class="form-check-input" id="regAgree" required>
                <label class="form-check-label" for="regAgree">本人同意 &nbsp; <a href="/picm" target="_blank">「桃園市政府個人資料收集辦法」</a></label>
            </span>
            
            <div>&nbsp;</div>
            <button id="btnFillForm" class="btn btn-primary">前往報名</button>
                
            @else
            <p>活動已載止</p>
            @endif
            <div>&nbsp;</div>
            <button id="btnSearch" class="btn btn-primary">查詢審核狀態</button>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl">
    <div class="modal-content">
      <div class="modal-body">
        <button type="button" id="staticBackdrop-btn-close" class="btn-close" data-bs-dismiss="modal" aria-label="關閉"></button>
        <label for="staticBackdrop-btn-close">
            <img src="{{asset('assets/images/metabolism_comic_01.jpg')}}" width="100%">
        </label>
      </div>
    </div>
  </div>
</div>

@endsection

@section('script')
<script>
    $(document).ready(function(){
        $('#staticBackdrop').modal('show');
        $('#btnFillForm').click(function(){
            if (!$('#regAgree1').is(':checked')) {
                alert('請勾選「本人設籍於桃園市」');
                return;
            }
            if (!$('#regAgree').is(':checked')) {
                alert('請勾選「本人同意 桃園市政府個人資料收集辦法」');
                return;
            }
            window.location='/metabolism_fill_form';
        });
        $('#btnSearch').click(function(){
            window.location='/metabolism_check';
        });
    });
</script>
@endsection
